Name: jbig
Version: 1.6
Release: alt1

# API change in version 1.6: jbg_enc_options(): parameter l0 changed type
# API change in version 1.5: struct jbg_enc_state: new member yd1
%define sover 1.6

Summary: JBIG-KIT lossless image compression library
License: GPL
Group: Graphics

Url: http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Source: %{name}kit-%version.tar.bz2

%package -n lib%name
Summary: JBIG-KIT lossless image compression library (shared library)
Group: System/Libraries

%package -n lib%name-devel
Summary: JBIG-KIT lossless image compression library (header files)
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: JBIG-KIT lossless image compression library (static library)
Group: Development/C
Requires: lib%name-devel = %version-%release

%package utils
Summary: JBIG-KIT lossless image compression utilities
Group: Graphics
Requires: lib%name = %version-%release
Provides: %{name}kit = %version
Obsoletes: %{name}kit <= %version

%description
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

%description -n lib%name
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

This package is required for lib%name-based programs.

%description -n lib%name-devel
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

This package is only needed if you plan to develop or compile
applications which requires the lib%name library.

%description -n lib%name-devel-static
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

This package contains static JBIG library.

%description utils
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

%prep
%setup -q -n %{name}kit

%build
# First, build shared library.
pushd lib%name
%make_build lib%name.a CFLAGS='%optflags %optflags_shared'
gcc -shared -o lib%name.so.%sover -Wl,-soname=lib%name.so.%sover `ar t lib%name.a`
ln -snf lib%name.so.%sover lib%name.so
make clean
popd

# Second, build all the rest.
%make_build CCFLAGS='%optflags'

LD_LIBRARY_PATH=$PWD/lib%name make test

%install
%__mkdir_p %buildroot{%_bindir,%_libdir,%_includedir,%_man1dir}
%__install -p -m755 pbmtools/{jbgtopbm,pbmtojbg} %buildroot%_bindir
%__install -p -m644 pbmtools/*.1 %buildroot%_man1dir
%__install -p -m644 lib%name/%name.h %buildroot%_includedir
%__cp -a lib%name/lib%name.* %buildroot%_libdir

%define pkgdocdir %_docdir/%name-%version
%__mkdir_p %buildroot%pkgdocdir
%__cp -a ANNOUNCE CHANGES TODO %buildroot%pkgdocdir/
%__cp -a INSTALL %buildroot%pkgdocdir/README
%__cp -a lib%name/%name.doc %buildroot%pkgdocdir/%name.txt

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib%name.so.%sover
%dir %pkgdocdir
%pkgdocdir/ANNOUNCE
%pkgdocdir/CHANGES
%pkgdocdir/README
%pkgdocdir/TODO

%files -n lib%name-devel
%_libdir/lib%name.so
%_includedir/%name.h
%dir %pkgdocdir
%pkgdocdir/%name.txt

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a
%endif

%files utils
%_bindir/jbgtopbm
%_bindir/pbmtojbg
%_man1dir/jbgtopbm.*
%_man1dir/pbmtojbg.*

%changelog
* Wed Aug 25 2004 Alexey Tourbin <at@altlinux.ru> 1.6-alt1
- 1.2 -> 1.6, changed soname
- use strict dependencies between subpackages
- moved lib%name.a to lib%name-devel-static (not packaged by default)

* Sat Oct 05 2002 Rider <rider@altlinux.ru> 1.2-ipl3mdk
- rebuild

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 1.2-ipl2mdk
- rebuild

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 1.2-ipl1mdk
- Libification.
- RE adaptions.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-1mdk
- initial release for OpenDX.
